<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <link href="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" rel="stylesheet">
    <link href="/css/panel.css" rel="stylesheet"/>
    <link href="/css/comment-view.css" rel="stylesheet"/>
    <link href="/css/common-tools.css" rel="stylesheet"/>
    <link href="/css/img.css" rel="stylesheet"/>
</head>
<body>
<div th:replace="nav.html :: body"></div>
<div class="container" style="background: #92AD40">
    <div class="blockContainer">
        <div class="blockInfo">
            <p th:text="'Send request to ' + ${requestDTO.getArtistName()}"></p>
        </div>

        <form class="makeNewPost" enctype="multipart/form-data" id="singleUploadForm" method="post"
              th:action="@{/request/send}"
              th:object="${requestDTO}">

            <div class="blockInfo" style="width: 300px">
                <!--<p th:text="${requestDTO.getRequestType()}"></p>-->
                <div class="input-group mb-1">
                    <div class="input-group-prepend">
                        <span class="input-group-text" id="basic-addon2">Type Of Request</span>
                    </div>
                    <!--<select class="custom-select" id="typeOfCharacter" th:field="${requestDTO.getRequestType()}">-->
                    <select class="custom-select" id="typeOfCharacter" th:field="${requestDTO.requestType}">
                        <option disabled hidden selected th:text="${requestDTO.requestType}" value=""></option>
                        <option value="Commission">Commission</option>
                        <option value="Art-Trade">Art-Trade</option>
                        <option value="Adopt">Adopt</option>
                    </select>
                </div>
        </div>

            <!--th:action="@{'http://localhost:8080/commission-post-comment?commissionId=' + ${commission.id}}"-->
            <!--th:object="${comment}">-->
            <div class="form-group">
                <label for="description"></label>
                <textarea aria-label="With textarea" class="form-control" id="description"
                          placeholder="Type your text here :D" style="height: 250px"></textarea>
                <!--th:field="${comment.text}"></textarea>-->
            </div>
            <div class="blockRight">
                <button class="btn btn-primary" type="submit">Send</button>
            </div>
            <div class="blockLeft">
                <button class="btn btn-primary" type="button">Add Image (WIP!!!)</button>
            </div>
        </form>

        <div class="blockContainer">
            <div class="blockLeft">

            </div>
            <div class="blockRight">
                b
            </div>
        </div>

    </div>
</div>
</body>
</html>